CREATE TABLE ad_task_timing (
    SESSION_ID             NUMBER            NOT NULL,
    START_LINE             NUMBER        ,
    END_LINE               NUMBER        ,
    LOGFILE                VARCHAR2(2000),
    ERROR_MESSAGE          CLOB          ,
    JOB_NAME               VARCHAR2(512)     NOT NULL,
    PRODUCT                VARCHAR2(200)     NOT NULL,
    CURRENT_FLAG           VARCHAR2(4)       NOT NULL,
    WORKER_ID              NUMBER            NOT NULL,
    INSTALL_GROUP_NUM      NUMBER            NOT NULL,
    PROGRAM                VARCHAR2(120)     NOT NULL,
    PHASE                  NUMBER            NOT NULL,
    ARGUMENTS              VARCHAR2(4000),
    PHASE_NAME             VARCHAR2(480) ,
    START_TIME             TIMESTAMP(6)  ,
    RESTART_TIME           TIMESTAMP(6)  ,
    END_TIME               TIMESTAMP(6)  ,
    ELAPSED_TIME           NUMBER        ,
    RESTART_COUNT          NUMBER        ,
    SUBDIRECTORY           VARCHAR2(1024),
    COMMAND                VARCHAR2(120) ,
    DEFER_COUNT            NUMBER        ,
    TASK_NUMBER            NUMBER        ,
    TASK_STATUS_ID         NUMBER            NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ORA_EDITION_CONTEXT    VARCHAR2(120)     NOT NULL,
    SESSION_ID             NUMBER            NOT NULL,
    START_LINE             NUMBER        ,
    END_LINE               NUMBER        ,
    LOGFILE                VARCHAR2(2000),
    ERROR_MESSAGE          CLOB          ,
    JOB_NAME               VARCHAR2(512)     NOT NULL,
    PRODUCT                VARCHAR2(200)     NOT NULL,
    CURRENT_FLAG           VARCHAR2(4)       NOT NULL,
    WORKER_ID              NUMBER            NOT NULL,
    INSTALL_GROUP_NUM      NUMBER            NOT NULL,
    PROGRAM                VARCHAR2(120)     NOT NULL,
    PHASE                  NUMBER            NOT NULL,
    ARGUMENTS              VARCHAR2(4000),
    PHASE_NAME             VARCHAR2(480) ,
    START_TIME             TIMESTAMP(6)  ,
    RESTART_TIME           TIMESTAMP(6)  ,
    END_TIME               TIMESTAMP(6)  ,
    ELAPSED_TIME           NUMBER        ,
    RESTART_COUNT          NUMBER        ,
    SUBDIRECTORY           VARCHAR2(1024),
    COMMAND                VARCHAR2(120) ,
    DEFER_COUNT            NUMBER        ,
    TASK_NUMBER            NUMBER        ,
    TASK_STATUS_ID         NUMBER            NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ORA_EDITION_CONTEXT    VARCHAR2(120)     NOT NULL
);
